Project Management
Asana, Jira, Linear, Monday.com
- Tools: 12
- Connectors: 10
Connectors in this domain
Tool reference
pm.boards.get - Get Board
Get details of a specific board
- Risk:
read- Read-only - safe to call freely - Supported by:
Trello,Monday.com,Jira Software,ClickUp,Smartsheet,Basecamp,Teamwork,Wrike,Asana,Linear
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
board_id | string | No | - |
Output schema
No fields.
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.boards.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"board_id":"string"}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.boards.get",
"arguments": {
"board_id": "string"
}
}
}
pm.boards.health - Get Board Health
Get status distribution, completion percentage, and health metrics for a Monday.com board including group breakdown and stuck item tracking
- Risk:
read- Read-only - safe to call freely - Supported by:
ClickUp,Smartsheet,Basecamp,Teamwork,Wrike,Trello,Jira Software,Asana,Linear,Monday.com
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
board_id | string | Yes | The Monday.com board ID to analyze |
Output schema
| Field | Type | Required | Description |
|---|---|---|---|
groups | array | No | - |
board_id | string | No | - |
board_name | string | No | - |
total_items | number | No | - |
status_summary | object | No | - |
health_indicators | object | No | - |
health_indicators.done_count | number | No | - |
health_indicators.stuck_count | number | No | - |
health_indicators.blocked_percentage | number | No | - |
completion_percentage | number | No | - |
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.boards.health/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"board_id":"string"}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.boards.health",
"arguments": {
"board_id": "string"
}
}
}
pm.boards.list - List Boards
List project boards
- Risk:
read- Read-only - safe to call freely - Supported by:
Trello,Monday.com,Jira Software,ClickUp,Smartsheet,Basecamp,Wrike,Teamwork,Asana,Linear
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
limit | number | No | - |
Output schema
No fields.
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.boards.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"limit":0}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.boards.list",
"arguments": {
"limit": 0
}
}
}
pm.comments.add - Add Comment
Add a comment to a task
- Risk:
write- Creates or modifies data - Supported by:
Monday.com,ClickUp,Smartsheet,Basecamp,Wrike,Teamwork,Trello,Jira Software,Asana,Linear
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
text | string | No | - |
task_id | string | No | - |
Output schema
| Field | Type | Required | Description |
|---|---|---|---|
comment | object | No | - |
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.comments.add/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"text":"string","task_id":"string"}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.comments.add",
"arguments": {
"text": "string",
"task_id": "string"
}
}
}
pm.projects.get - Get Project
Get project details
- Risk:
read- Read-only - safe to call freely - Supported by:
Basecamp,Monday.com,Smartsheet,ClickUp,Wrike,Teamwork,Trello,Jira Software,Asana,Linear
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
project_id | string | No | - |
Output schema
| Field | Type | Required | Description |
|---|---|---|---|
project | object | No | - |
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.projects.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"project_id":"string"}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.projects.get",
"arguments": {
"project_id": "string"
}
}
}
pm.projects.list - List Projects
List all projects
- Risk:
read- Read-only - safe to call freely - Supported by:
Basecamp,Linear,ClickUp,Teamwork,Wrike,Trello,Monday.com,Smartsheet,Jira Software,Asana
Input schema
No fields.
Output schema
| Field | Type | Required | Description |
|---|---|---|---|
projects | array | No | - |
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.projects.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.projects.list",
"arguments": {}
}
}
pm.sprints.get - Get Sprint
Get details of a specific sprint
- Risk:
read- Read-only - safe to call freely - Supported by:
Jira Software,ClickUp,Monday.com,Smartsheet,Basecamp,Wrike,Teamwork,Trello,Asana,Linear
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
sprint_id | string | No | - |
Output schema
No fields.
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.sprints.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"sprint_id":"string"}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.sprints.get",
"arguments": {
"sprint_id": "string"
}
}
}
pm.sprints.list - List Sprints
List sprints in a project
- Risk:
read- Read-only - safe to call freely - Supported by:
Jira Software,ClickUp,Monday.com,Smartsheet,Basecamp,Wrike,Teamwork,Trello,Asana,Linear
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
project_id | string | No | - |
Output schema
| Field | Type | Required | Description |
|---|---|---|---|
sprints | array | No | - |
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.sprints.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"project_id":"string"}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.sprints.list",
"arguments": {
"project_id": "string"
}
}
}
pm.tasks.create - Create Task
Create a new task
- Risk:
write- Creates or modifies data - Supported by:
Linear,Monday.com,ClickUp,Smartsheet,Basecamp,Wrike,Teamwork,Trello,Jira Software,Asana
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
name | string | No | - |
project_id | string | No | - |
description | string | No | - |
Output schema
| Field | Type | Required | Description |
|---|---|---|---|
task | object | No | - |
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.tasks.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"name":"string","project_id":"string"}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.tasks.create",
"arguments": {
"name": "string",
"project_id": "string"
}
}
}
pm.tasks.get - Get Task
Get task details
- Risk:
read- Read-only - safe to call freely - Supported by:
Linear,ClickUp,Teamwork,Wrike,Trello,Monday.com,Asana,Smartsheet,Basecamp,Jira Software
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
task_id | string | No | - |
Output schema
| Field | Type | Required | Description |
|---|---|---|---|
task | object | No | - |
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.tasks.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"task_id":"string"}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.tasks.get",
"arguments": {
"task_id": "string"
}
}
}
pm.tasks.search - Search Tasks
Search tasks across projects
- Risk:
read- Read-only - safe to call freely - Supported by:
Basecamp,Linear,ClickUp,Teamwork,Trello,Monday.com,Smartsheet,Asana,Wrike,Jira Software
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
query | string | No | - |
project_id | string | No | - |
Output schema
| Field | Type | Required | Description |
|---|---|---|---|
tasks | array | No | - |
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.tasks.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string","project_id":"string"}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.tasks.search",
"arguments": {
"query": "string",
"project_id": "string"
}
}
}
pm.tasks.update - Update Task
Update task details
- Risk:
write- Creates or modifies data - Supported by:
Monday.com,ClickUp,Smartsheet,Basecamp,Wrike,Teamwork,Trello,Jira Software,Asana,Linear
Input schema
| Field | Type | Required | Description |
|---|---|---|---|
name | string | No | - |
status | string | No | - |
task_id | string | No | - |
Output schema
| Field | Type | Required | Description |
|---|---|---|---|
task | object | No | - |
REST example
curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/pm.tasks.update/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"name":"string","status":"string"}}'
MCP example
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "pm.tasks.update",
"arguments": {
"name": "string",
"status": "string"
}
}
}